monitorp0_(monitorp0__dcl).
monitorp0__dcl(monitor_activated,p(p(p)),static,no).
monitorp0__dcl(activate_monitor,p(p(p)),static,no).
monitorp0__dcl(suspend_monitor,p(p(p)),static,no).
monitorp0__dcl(reset_monitor,p(p(p)),static,no).
monitorp0__dcl(spy_point(_60361,_60362,_60363,_60364),p(p(p)),static,no).
monitorp0__dcl(set_spy_point(_60361,_60362,_60363,_60364),p(p(p)),static,no).
monitorp0__dcl(del_spy_points(_60361,_60362,_60363,_60364),p(p(p)),static,no).
:-(monitorp0__dcl(_60359,_60360,_60361,_60362,monitorp),monitorp0__dcl(_60359,_60360,_60361,_60362)).
:-(initialization('$lgt_assert_relation_clauses'(['$lgt_current_protocol_'(monitorp,monitorp0_)]))).
